/* ===========================================
PRODUCT LIST
============================================== */
.product-list {
  display: flex;
  flex-wrap: wrap;
}
.product-list.reversed {
  flex-direction: row-reverse;
}
.product-list > div:has(.brand-card) {
  flex-basis: 40%;
  width: 40%;
  padding-inline: 60px;
}
.product-list > div:has(.desc) {
  position: relative;
  flex-basis: 60%;
  width: 60%;
}

/* ===========================================
BRAND CARD
============================================== */
.product-list .brand-card {
  background: linear-gradient(180deg, #ed1c24 0%, #771215 100%);
  box-shadow: 0px 0px 10px 0px #0000001a;
  border-radius: 30px;

  text-align: center;
  padding-top: 30px;
  padding-bottom: 50px;
  margin-top: -110px;
}
.product-list .brand-card .logo {
  width: 65%;
  margin-bottom: 20px;
}
.product-list .brand-card .featured-image {
  width: 85%;
}

/* ===========================================
DESCRIPTION
============================================== */
.product-list .desc {
  color: #000000;
  font-size: 18px;
  line-height: 26px;
}

/* Product type */
.product-list .type {
  display: flex;
  flex-flow: wrap;
  gap: 20px;
  margin-bottom: 35px;
}
.product-list .type p {
  box-shadow: 0px 0px 10px 0px #0000001a;

  border-radius: 20px;
  font-weight: 600;
  font-size: 18px;
  line-height: 20px;
  color: #000000;
  background-color: white;

  display: inline-flex;
  align-items: center;

  padding: 8px 20px 8px 10px;
  margin-bottom: 0px;
}
.product-list .type span.text {
  height: 18px;
}
.product-list .type span:not(.text) {
  width: 18px;
  height: 18px;
  border-radius: 100%;
  display: inline-block;
  margin-right: 10px;
}
.product-list .type span.type-border {
  border: 1px solid black;
}

/* ===========================================
SLIDER
============================================== */
.product-list .custom-slider-wrapper {
  position: relative;
}
.product-list .custom-slider-wrapper .swiper {
  mask-image: linear-gradient(90deg, black 60%, transparent 90%);
}
.product-list .custom-slider-wrapper .product-card {
  box-shadow: 0px 0px 10px 0px #0000001a;
  border-radius: 22px;

  margin-block: 20px;
  margin-left: 10px;
  margin-right: 20px;

  height: 332px;
  position: relative;
  padding: 20px 20px 10px 20px;
  background-color: white;
}
.product-list .custom-slider-wrapper .product-card .image-wrapper {
  height: 200px;
  margin-bottom: 15px;
}
.product-list .custom-slider-wrapper .product-card .image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.product-list .custom-slider-wrapper .product-card .product-name {
  font-family: Amiko;
  font-weight: 700;
  font-size: 22px;
  color: #bc0b20;
  line-height: 26px;
  margin-bottom: 0px;
}
.product-list .custom-slider-wrapper .product-card .category {
  font-family: Amiko;
  font-weight: 400;
  font-size: 14px;
  color: #13161c;
  margin-bottom: 0px;
}
.product-list .custom-slider-wrapper .product-card a {
  position: absolute;
  bottom: 10px;
  right: 10px;

  display: block;
  height: 30px;
}

/* Navigation Buttons */
.product-list .button-prev,
.product-list .button-next {
  position: absolute;
  top: 0;
  bottom: 0;
  z-index: 1;

  width: 34px;
  height: 34px;
  margin: auto;
}
.product-list .button-prev {
  transform: rotate(180deg);
  left: 0;
}
.product-list .button-next {
  right: 0;
}

@media only screen and (max-width: 849px) {
  /* ===========================================
    PRODUCT LIST SECTION
    ============================================ */
  section.section:has(.product-list .brand-card) {
    background: linear-gradient(180deg, #ed1c24 0%, #771215 100%);
  }
  section.section:has(.product-list .brand-card) .section-bg img {
    display: none;
  }

  /* ===========================================
    PRODUCT LIST
    ============================================ */
  .product-list > div:has(.brand-card) {
    flex-basis: 100%;
    width: 100%;
    padding-inline: 0px;
    margin-bottom: 20px;
  }
  .product-list > div:has(.desc) {
    flex-basis: 100%;
    width: 100%;
  }

  /* ===========================================
    BRAND CARD
    ============================================ */
  .product-list .brand-card {
    background: unset !important;
    box-shadow: unset !important;

    padding-top: 30px;
    padding-bottom: 30px;
    margin-top: 0;
  }
  .product-list .brand-card .logo {
    width: 50%;
  }
  .product-list .brand-card .featured-image {
    width: 70%;
  }

  /* ===========================================
    DESCRIPTION
    ============================================ */
  .product-list .desc {
    color: white;
    font-size: 16px;
    line-height: 24px;
  }

  /* Product type */
  .product-list .type {
    gap: 10px;
    margin-bottom: 35px;
  }
  .product-list .type p {
    font-size: 16px;
    padding: 5px 15px 5px 8px;
    margin-bottom: 0px;
  }
  .product-list .type span.text {
    height: 16px;
  }
  .product-list .type span:not(.text) {
    width: 16px;
    height: 16px;
    margin-right: 8px;
  }

  /* ===========================================
    SLIDER
    ============================================ */
  .product-list .custom-slider-wrapper {
    transform: translateY(300px);
    margin-top: -300px;
  }

  /* Navigation Buttons */
  .product-list .button-prev,
  .product-list .button-next {
    display: none;
  }
}

@media only screen and (max-width: 430px) {
  /* ===========================================
    SLIDER
    ============================================ */
  .product-list .type {
    gap: 5px;
  }
  .product-list .custom-slider-wrapper .swiper {
    mask-image: unset;
  }
  .product-list .custom-slider-wrapper .swiper .swiper-slide {
    width: 40% !important;
  }

  .product-list .custom-slider-wrapper {
    transform: translateY(210px);
    margin-top: -235px;
  }
  .product-list .custom-slider-wrapper .product-card {
    margin-left: 5px;
    margin-right: 5px;
    height: 205px;
    padding: 10px;
  }
  .product-list .custom-slider-wrapper .product-card .image-wrapper {
    height: 120px;
  }
  .product-list .custom-slider-wrapper .product-card .product-name {
    font-size: 14px;
    line-height: 20px;
  }
  .product-list .custom-slider-wrapper .product-card .category {
    font-size: 10px;
  }
  .product-list .custom-slider-wrapper .product-card a,
  .product-list .custom-slider-wrapper .product-card a svg {
    width: 20px;
    height: 20px;
  }
}
